<form [formGroup]="registerForm" (ngSubmit)="onSubmit()" fxLayout="row wrap" fxLayoutAlign="center center" style="height:100%">

    <div fxFlex.gt-md="30" fxFlex="40" fxFlex.xs="90">
        <mat-card class="card-login">
            <mat-card-header fxLayoutAlign="center center" fxLayout="column">
                <mat-card-title style="text-align: center;">
                    <h3>Sistema de citas medicas</h3>
                </mat-card-title>
                <mat-card-subtitle style="text-align: center;">Registro - Medisystem</mat-card-subtitle>
                <mat-spinner *ngIf="loading" color="accent" diameter="20"></mat-spinner>
            </mat-card-header>
            <mat-divider></mat-divider>

            <mat-card-content fxLayout="row wrap" fxLayoutGap="10px grid">
                <div><br></div>
                <mat-form-field fxFlex="100" appearance="outline">
                    <mat-label>Correo</mat-label>
                    <input matInput formControlName="correo" type="email">
                </mat-form-field>
                <mat-form-field fxFlex="100" appearance="outline">
                    <mat-label>Contraseña</mat-label>
                    <input matInput formControlName="password" [type]="hide ? 'password' : 'text'">
                    <button mat-icon-button matSuffix (click)="hide = !hide; $event.preventDefault()" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                          <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                        </button>
                </mat-form-field>
                <mat-form-field fxFlex="100" appearance="outline">
                    <mat-label>Confirmar contraseña</mat-label>
                    <input matInput formControlName="passwordTwo" [type]="hideTwo ? 'password' : 'text'">
                    <button mat-icon-button matSuffix (click)="hideTwo = !hideTwo; $event.preventDefault()" [attr.aria-label]="'HideTwo password'" [attr.aria-pressed]="hideTwo">
                          <mat-icon>{{hideTwo ? 'visibility_off' : 'visibility'}}</mat-icon>
                        </button>
                </mat-form-field>
                <div></div>
            </mat-card-content>
            <mat-divider></mat-divider>
            <mat-card-actions style="margin-bottom: 0;" fxLayout="column" fxLayoutAlign="center center">
                <button color="accent" [disabled]="!registerForm.valid || submitted" type="submit" mat-button>Registrarme</button>
                <button mat-button routerLink="/login">Ingresar</button>
            </mat-card-actions>

        </mat-card>
    </div>
</form>